<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Сейчас на сайте'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-600)."'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT `id` FROM `user` WHERE `date_last` > '".(time()-600)."' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");

if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Сейчас на сайте никого нет\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
echo "   <tr>\n";

if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
avatar2($ank['id']);
echo "<br/><br/>";
echo "".online($ank['id'])." ";
echo " <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> ";
if($ank['rating']>=100 && $ank['rating']<=2999999999)echo " <img src='/zv/vip.png'></img>";
if($ank['rating']>=0 && $ank['rating']<=2)echo " <img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=3 && $ank['rating']<=5)echo " <img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=6 && $ank['rating']<=8)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=9 && $ank['rating']<=11)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=12 && $ank['rating']<=14)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'></img><br />";

if($ank['rating']>=15 && $ank['rating']<=19)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'></img><br />";
if($ank['rating']>=20 && $ank['rating']<=24)echo " <img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=25 && $ank['rating']<=29)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=30 && $ank['rating']<=34)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=35 && $ank['rating']<=39)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'></img><br />";

if($ank['rating']>=40 && $ank['rating']<=46)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'></img><br />";
if($ank['rating']>=47 && $ank['rating']<=53)echo " <img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=54 && $ank['rating']<=60)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=61 && $ank['rating']<=67)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=68 && $ank['rating']<=74)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'></img><br />";

if($ank['rating']>=75 && $ank['rating']<=84)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'></img><br />";
if($ank['rating']>=85 && $ank['rating']<=94)echo " <img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=95 && $ank['rating']<=104)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=105 && $ank['rating']<=114)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=115 && $ank['rating']<=124)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'></img><br />";

if($ank['rating']>=125 && $ank['rating']<=139)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'></img><br />";
if($ank['rating']>=140 && $ank['rating']<=154)echo " <img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=155 && $ank['rating']<=169)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=170 && $ank['rating']<=184)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=185 && $ank['rating']<=199)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'></img><br />";

if($ank['rating']>=200 && $ank['rating']<=219)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'></img><br />";
if($ank['rating']>=220 && $ank['rating']<=239)echo " <img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=240 && $ank['rating']<=259)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=260 && $ank['rating']<=279)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=280 && $ank['rating']<=299)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=300 && $ank['rating']<=2999999999)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'></img><br />";
if ($ank['pol']==1)
echo "(Муж)";
else
echo "(Жен)";
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo " $ank[ank_age] лет";
}
if ($ank['ank_city']!=NULL)echo " , $ank[ank_city]";
echo "<br />\n";

if ($user['level']>$ank['level']){
if ($ank['ip']!=NULL){
if (user_access('user_show_ip') && $ank['ip']!=0){
echo "<span class=\"ank_n\">IP:</span> <span class=\"ank_d\">".long2ip($ank['ip'])."</span>";
if (user_access('adm_ban_ip'))
echo "";
echo "<br />\n";
}
}

if ($ank['ip_cl']!=NULL){
if (user_access('user_show_ip') && $ank['ip_cl']!=0){
echo "";
if (user_access('adm_ban_ip'))
echo "";
echo "<br />\n";
}
}

if ($ank['ip_xff']!=NULL){
if (user_access('user_show_ip') && $ank['ip_xff']!=0){
echo "";
if (user_access('adm_ban_ip'))
echo "";

}
}




if (user_access('user_show_ua') && $ank['ua']!=NULL)
echo "";
if (user_access('user_show_ip') && opsos($ank['ip']))
echo "";
if (user_access('user_show_ip') && opsos($ank['ip_cl']))
echo "";
if (user_access('user_show_ip') && opsos($ank['ip_xff']))
echo "";


}




if ($ank['show_url']==1)
{
if (otkuda($ank['url']))echo "";
}
if (user_access('user_collisions') && $user['level']>$ank['level'])
{
$mass[0]=$ank['id'];
$collisions=user_collision($mass);


if (count($collisions)>1)
{
echo "<span class=\"ank_n\">Возможные ники:</span>\n";
echo "<span class=\"ank_d\">\n";

for ($i=1;$i<count($collisions);$i++)
{
$ank_coll=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$collisions[$i]' LIMIT 1"));
echo "\"<a href='/info.php?id=$ank_coll[id]'>$ank_coll[nick]</a>\"\n";
}

}
}



echo "</div>\n";

}




if ($k_page>1)str("?",$k_page,$page); // Вывод страниц




include_once 'sys/inc/tfoot.php';
?>